package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TFlowmeter;

/**
 * 流量计Mapper接口
 * 
 * @author zehong
 * @date 2021-07-08
 */
public interface TFlowmeterMapper 
{
    /**
     * 查询流量计
     * 
     * @param flowmeterId 流量计ID
     * @return 流量计
     */
    public TFlowmeter selectTFlowmeterById(Long flowmeterId);

    /**
     * 查询流量计列表
     * 
     * @param tFlowmeter 流量计
     * @return 流量计集合
     */
    public List<TFlowmeter> selectTFlowmeterList(TFlowmeter tFlowmeter);

    /**
     * 新增流量计
     * 
     * @param tFlowmeter 流量计
     * @return 结果
     */
    public int insertTFlowmeter(TFlowmeter tFlowmeter);

    /**
     * 修改流量计
     * 
     * @param tFlowmeter 流量计
     * @return 结果
     */
    public int updateTFlowmeter(TFlowmeter tFlowmeter);

    /**
     * 删除流量计
     * 
     * @param flowmeterId 流量计ID
     * @return 结果
     */
    public int deleteTFlowmeterById(Long flowmeterId);

    /**
     * 批量删除流量计
     * 
     * @param flowmeterIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFlowmeterByIds(Long[] flowmeterIds);
}
