package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TValveWell;

/**
 * 阀门井Mapper接口
 * 
 * @author zehong
 * @date 2021-07-08
 */
public interface TValveWellMapper 
{
    /**
     * 查询阀门井
     * 
     * @param wellId 阀门井ID
     * @return 阀门井
     */
    public TValveWell selectTValveWellById(Long wellId);

    /**
     * 查询阀门井列表
     * 
     * @param tValveWell 阀门井
     * @return 阀门井集合
     */
    public List<TValveWell> selectTValveWellList(TValveWell tValveWell);

    /**
     * 新增阀门井
     * 
     * @param tValveWell 阀门井
     * @return 结果
     */
    public int insertTValveWell(TValveWell tValveWell);

    /**
     * 修改阀门井
     * 
     * @param tValveWell 阀门井
     * @return 结果
     */
    public int updateTValveWell(TValveWell tValveWell);

    /**
     * 删除阀门井
     * 
     * @param wellId 阀门井ID
     * @return 结果
     */
    public int deleteTValveWellById(Long wellId);

    /**
     * 批量删除阀门井
     * 
     * @param wellIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTValveWellByIds(Long[] wellIds);
}
