package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TGasMeter;

/**
 * 物联网燃气表Service接口
 * 
 * @author zehong
 * @date 2021-07-08
 */
public interface ITGasMeterService 
{
    /**
     * 查询物联网燃气表
     * 
     * @param gasId 物联网燃气表ID
     * @return 物联网燃气表
     */
    public TGasMeter selectTGasMeterById(Long gasId);

    /**
     * 查询物联网燃气表列表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 物联网燃气表集合
     */
    public List<TGasMeter> selectTGasMeterList(TGasMeter tGasMeter);

    /**
     * 新增物联网燃气表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 结果
     */
    public int insertTGasMeter(TGasMeter tGasMeter);

    /**
     * 修改物联网燃气表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 结果
     */
    public int updateTGasMeter(TGasMeter tGasMeter);

    /**
     * 批量删除物联网燃气表
     * 
     * @param gasIds 需要删除的物联网燃气表ID
     * @return 结果
     */
    public int deleteTGasMeterByIds(Long[] gasIds);

    /**
     * 删除物联网燃气表信息
     * 
     * @param gasId 物联网燃气表ID
     * @return 结果
     */
    public int deleteTGasMeterById(Long gasId);
}
