package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TRegulatorBox;

/**
 * 调压箱Service接口
 * 
 * @author zehong
 * @date 2021-07-08
 */
public interface ITRegulatorBoxService 
{
    /**
     * 查询调压箱
     * 
     * @param boxId 调压箱ID
     * @return 调压箱
     */
    public TRegulatorBox selectTRegulatorBoxById(Long boxId);

    /**
     * 查询调压箱列表
     * 
     * @param tRegulatorBox 调压箱
     * @return 调压箱集合
     */
    public List<TRegulatorBox> selectTRegulatorBoxList(TRegulatorBox tRegulatorBox);

    /**
     * 新增调压箱
     * 
     * @param tRegulatorBox 调压箱
     * @return 结果
     */
    public int insertTRegulatorBox(TRegulatorBox tRegulatorBox);

    /**
     * 修改调压箱
     * 
     * @param tRegulatorBox 调压箱
     * @return 结果
     */
    public int updateTRegulatorBox(TRegulatorBox tRegulatorBox);

    /**
     * 批量删除调压箱
     * 
     * @param boxIds 需要删除的调压箱ID
     * @return 结果
     */
    public int deleteTRegulatorBoxByIds(Long[] boxIds);

    /**
     * 删除调压箱信息
     * 
     * @param boxId 调压箱ID
     * @return 结果
     */
    public int deleteTRegulatorBoxById(Long boxId);
}
