package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TFlowmeterMapper;
import com.zehong.system.domain.TFlowmeter;
import com.zehong.system.service.ITFlowmeterService;

/**
 * 流量计Service业务层处理
 * 
 * @author zehong
 * @date 2021-07-08
 */
@Service
public class TFlowmeterServiceImpl implements ITFlowmeterService 
{
    @Autowired
    private TFlowmeterMapper tFlowmeterMapper;

    /**
     * 查询流量计
     * 
     * @param flowmeterId 流量计ID
     * @return 流量计
     */
    @Override
    public TFlowmeter selectTFlowmeterById(Long flowmeterId)
    {
        return tFlowmeterMapper.selectTFlowmeterById(flowmeterId);
    }

    /**
     * 查询流量计列表
     * 
     * @param tFlowmeter 流量计
     * @return 流量计
     */
    @Override
    public List<TFlowmeter> selectTFlowmeterList(TFlowmeter tFlowmeter)
    {
        return tFlowmeterMapper.selectTFlowmeterList(tFlowmeter);
    }

    /**
     * 新增流量计
     * 
     * @param tFlowmeter 流量计
     * @return 结果
     */
    @Override
    public int insertTFlowmeter(TFlowmeter tFlowmeter)
    {
        return tFlowmeterMapper.insertTFlowmeter(tFlowmeter);
    }

    /**
     * 修改流量计
     * 
     * @param tFlowmeter 流量计
     * @return 结果
     */
    @Override
    public int updateTFlowmeter(TFlowmeter tFlowmeter)
    {
        return tFlowmeterMapper.updateTFlowmeter(tFlowmeter);
    }

    /**
     * 批量删除流量计
     * 
     * @param flowmeterIds 需要删除的流量计ID
     * @return 结果
     */
    @Override
    public int deleteTFlowmeterByIds(Long[] flowmeterIds)
    {
        return tFlowmeterMapper.deleteTFlowmeterByIds(flowmeterIds);
    }

    /**
     * 删除流量计信息
     * 
     * @param flowmeterId 流量计ID
     * @return 结果
     */
    @Override
    public int deleteTFlowmeterById(Long flowmeterId)
    {
        return tFlowmeterMapper.deleteTFlowmeterById(flowmeterId);
    }
}
