package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TGasMeterMapper;
import com.zehong.system.domain.TGasMeter;
import com.zehong.system.service.ITGasMeterService;

/**
 * 物联网燃气表Service业务层处理
 * 
 * @author zehong
 * @date 2021-07-08
 */
@Service
public class TGasMeterServiceImpl implements ITGasMeterService 
{
    @Autowired
    private TGasMeterMapper tGasMeterMapper;

    /**
     * 查询物联网燃气表
     * 
     * @param gasId 物联网燃气表ID
     * @return 物联网燃气表
     */
    @Override
    public TGasMeter selectTGasMeterById(Long gasId)
    {
        return tGasMeterMapper.selectTGasMeterById(gasId);
    }

    /**
     * 查询物联网燃气表列表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 物联网燃气表
     */
    @Override
    public List<TGasMeter> selectTGasMeterList(TGasMeter tGasMeter)
    {
        return tGasMeterMapper.selectTGasMeterList(tGasMeter);
    }

    /**
     * 新增物联网燃气表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 结果
     */
    @Override
    public int insertTGasMeter(TGasMeter tGasMeter)
    {
        return tGasMeterMapper.insertTGasMeter(tGasMeter);
    }

    /**
     * 修改物联网燃气表
     * 
     * @param tGasMeter 物联网燃气表
     * @return 结果
     */
    @Override
    public int updateTGasMeter(TGasMeter tGasMeter)
    {
        return tGasMeterMapper.updateTGasMeter(tGasMeter);
    }

    /**
     * 批量删除物联网燃气表
     * 
     * @param gasIds 需要删除的物联网燃气表ID
     * @return 结果
     */
    @Override
    public int deleteTGasMeterByIds(Long[] gasIds)
    {
        return tGasMeterMapper.deleteTGasMeterByIds(gasIds);
    }

    /**
     * 删除物联网燃气表信息
     * 
     * @param gasId 物联网燃气表ID
     * @return 结果
     */
    @Override
    public int deleteTGasMeterById(Long gasId)
    {
        return tGasMeterMapper.deleteTGasMeterById(gasId);
    }
}
