package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TRegulatorBoxMapper;
import com.zehong.system.domain.TRegulatorBox;
import com.zehong.system.service.ITRegulatorBoxService;

/**
 * 调压箱Service业务层处理
 * 
 * @author zehong
 * @date 2021-07-08
 */
@Service
public class TRegulatorBoxServiceImpl implements ITRegulatorBoxService 
{
    @Autowired
    private TRegulatorBoxMapper tRegulatorBoxMapper;

    /**
     * 查询调压箱
     * 
     * @param boxId 调压箱ID
     * @return 调压箱
     */
    @Override
    public TRegulatorBox selectTRegulatorBoxById(Long boxId)
    {
        return tRegulatorBoxMapper.selectTRegulatorBoxById(boxId);
    }

    /**
     * 查询调压箱列表
     * 
     * @param tRegulatorBox 调压箱
     * @return 调压箱
     */
    @Override
    public List<TRegulatorBox> selectTRegulatorBoxList(TRegulatorBox tRegulatorBox)
    {
        return tRegulatorBoxMapper.selectTRegulatorBoxList(tRegulatorBox);
    }

    /**
     * 新增调压箱
     * 
     * @param tRegulatorBox 调压箱
     * @return 结果
     */
    @Override
    public int insertTRegulatorBox(TRegulatorBox tRegulatorBox)
    {
        return tRegulatorBoxMapper.insertTRegulatorBox(tRegulatorBox);
    }

    /**
     * 修改调压箱
     * 
     * @param tRegulatorBox 调压箱
     * @return 结果
     */
    @Override
    public int updateTRegulatorBox(TRegulatorBox tRegulatorBox)
    {
        return tRegulatorBoxMapper.updateTRegulatorBox(tRegulatorBox);
    }

    /**
     * 批量删除调压箱
     * 
     * @param boxIds 需要删除的调压箱ID
     * @return 结果
     */
    @Override
    public int deleteTRegulatorBoxByIds(Long[] boxIds)
    {
        return tRegulatorBoxMapper.deleteTRegulatorBoxByIds(boxIds);
    }

    /**
     * 删除调压箱信息
     * 
     * @param boxId 调压箱ID
     * @return 结果
     */
    @Override
    public int deleteTRegulatorBoxById(Long boxId)
    {
        return tRegulatorBoxMapper.deleteTRegulatorBoxById(boxId);
    }
}
