package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TValveWellMapper;
import com.zehong.system.domain.TValveWell;
import com.zehong.system.service.ITValveWellService;

/**
 * 阀门井Service业务层处理
 * 
 * @author zehong
 * @date 2021-07-08
 */
@Service
public class TValveWellServiceImpl implements ITValveWellService 
{
    @Autowired
    private TValveWellMapper tValveWellMapper;

    /**
     * 查询阀门井
     * 
     * @param wellId 阀门井ID
     * @return 阀门井
     */
    @Override
    public TValveWell selectTValveWellById(Long wellId)
    {
        return tValveWellMapper.selectTValveWellById(wellId);
    }

    /**
     * 查询阀门井列表
     * 
     * @param tValveWell 阀门井
     * @return 阀门井
     */
    @Override
    public List<TValveWell> selectTValveWellList(TValveWell tValveWell)
    {
        return tValveWellMapper.selectTValveWellList(tValveWell);
    }

    /**
     * 新增阀门井
     * 
     * @param tValveWell 阀门井
     * @return 结果
     */
    @Override
    public int insertTValveWell(TValveWell tValveWell)
    {
        return tValveWellMapper.insertTValveWell(tValveWell);
    }

    /**
     * 修改阀门井
     * 
     * @param tValveWell 阀门井
     * @return 结果
     */
    @Override
    public int updateTValveWell(TValveWell tValveWell)
    {
        return tValveWellMapper.updateTValveWell(tValveWell);
    }

    /**
     * 批量删除阀门井
     * 
     * @param wellIds 需要删除的阀门井ID
     * @return 结果
     */
    @Override
    public int deleteTValveWellByIds(Long[] wellIds)
    {
        return tValveWellMapper.deleteTValveWellByIds(wellIds);
    }

    /**
     * 删除阀门井信息
     * 
     * @param wellId 阀门井ID
     * @return 结果
     */
    @Override
    public int deleteTValveWellById(Long wellId)
    {
        return tValveWellMapper.deleteTValveWellById(wellId);
    }
}
