import request from '@/utils/request'

// 查询流量计列表
export function listFlowmeter(query) {
  return request({
    url: '/system/flowmeter/list',
    method: 'get',
    params: query
  })
}

// 查询流量计详细
export function getFlowmeter(flowmeterId) {
  return request({
    url: '/system/flowmeter/' + flowmeterId,
    method: 'get'
  })
}

// 新增流量计
export function addFlowmeter(data) {
  return request({
    url: '/system/flowmeter',
    method: 'post',
    data: data
  })
}

// 修改流量计
export function updateFlowmeter(data) {
  return request({
    url: '/system/flowmeter',
    method: 'put',
    data: data
  })
}

// 删除流量计
export function delFlowmeter(flowmeterId) {
  return request({
    url: '/system/flowmeter/' + flowmeterId,
    method: 'delete'
  })
}

// 导出流量计
export function exportFlowmeter(query) {
  return request({
    url: '/system/flowmeter/export',
    method: 'get',
    params: query
  })
}