import request from '@/utils/request'

// 查询物联网燃气表列表
export function listGasMeter(query) {
  return request({
    url: '/system/gasMeter/list',
    method: 'get',
    params: query
  })
}

// 查询物联网燃气表详细
export function getGasMeter(gasId) {
  return request({
    url: '/system/gasMeter/' + gasId,
    method: 'get'
  })
}

// 新增物联网燃气表
export function addGasMeter(data) {
  return request({
    url: '/system/gasMeter',
    method: 'post',
    data: data
  })
}

// 修改物联网燃气表
export function updateGasMeter(data) {
  return request({
    url: '/system/gasMeter',
    method: 'put',
    data: data
  })
}

// 删除物联网燃气表
export function delGasMeter(gasId) {
  return request({
    url: '/system/gasMeter/' + gasId,
    method: 'delete'
  })
}

// 导出物联网燃气表
export function exportGasMeter(query) {
  return request({
    url: '/system/gasMeter/export',
    method: 'get',
    params: query
  })
}