import request from '@/utils/request'

// 查询调压箱列表
export function listRegulatorBox(query) {
  return request({
    url: '/system/regulatorBox/list',
    method: 'get',
    params: query
  })
}

// 查询调压箱详细
export function getRegulatorBox(boxId) {
  return request({
    url: '/system/regulatorBox/' + boxId,
    method: 'get'
  })
}

// 新增调压箱
export function addRegulatorBox(data) {
  return request({
    url: '/system/regulatorBox',
    method: 'post',
    data: data
  })
}

// 修改调压箱
export function updateRegulatorBox(data) {
  return request({
    url: '/system/regulatorBox',
    method: 'put',
    data: data
  })
}

// 删除调压箱
export function delRegulatorBox(boxId) {
  return request({
    url: '/system/regulatorBox/' + boxId,
    method: 'delete'
  })
}

// 导出调压箱
export function exportRegulatorBox(query) {
  return request({
    url: '/system/regulatorBox/export',
    method: 'get',
    params: query
  })
}