import request from '@/utils/request'

// 查询阀门井列表
export function listValveWell(query) {
  return request({
    url: '/system/valveWell/list',
    method: 'get',
    params: query
  })
}

// 查询阀门井详细
export function getValveWell(wellId) {
  return request({
    url: '/system/valveWell/' + wellId,
    method: 'get'
  })
}

// 新增阀门井
export function addValveWell(data) {
  return request({
    url: '/system/valveWell',
    method: 'post',
    data: data
  })
}

// 修改阀门井
export function updateValveWell(data) {
  return request({
    url: '/system/valveWell',
    method: 'put',
    data: data
  })
}

// 删除阀门井
export function delValveWell(wellId) {
  return request({
    url: '/system/valveWell/' + wellId,
    method: 'delete'
  })
}

// 导出阀门井
export function exportValveWell(query) {
  return request({
    url: '/system/valveWell/export',
    method: 'get',
    params: query
  })
}